const system = require("../../../system");
const ServiceBase = require("../../sve.base")
/**
 * 订单交付
 */
class OorderdeliverService extends ServiceBase {
  constructor() {
    super("order", ServiceBase.getDaoName(OorderdeliverService));
    this.oorderinforegDao = system.getObject("db.order.oorderinforegDao");
    this.oorderDao = system.getObject("db.order.oorderDao");
    this.oorderprocessDao = system.getObject("db.order.oorderprocessDao");

    this.osourceDao = system.getObject("db.common.osourceDao");

    this.oproductDao = system.getObject("db.product.oproductDao");
    this.oprocessDao = system.getObject("db.product.oprocessDao");
    this.oproductprocessDao = system.getObject("db.product.oproductprocessDao");
  }

  /**
   * 交付商订单管理列表
   * @param {*} params 
   */
  // async orderDelivers(params){
  //   let where = {};
  //   if(params.deliver_id){
  //     where.deliver_id = this.trim(params.deliver_id);
  //   }else{
  //     return system.getResult(null,`参数错误 交付商ID不能为空`);
  //   }
  //   if(params.id){
  //     where.id = this.trim(params.id);
  //   }
  //   if(params.status){
  //     where.status = this.trim(params.status);
  //   }
  //   if(params.beginDate && params.endDate){
  //     where.beginDate = this.trim(params.beginDate);
  //     where.endDate = this.trim(params.endDate);
  //   }
  
  //   where.currentPage = Number(params.currentPage || 1);
  //   where.pageSize = Number(params.pageSize || 10);

  //   where.startRow = (where.currentPage-1)*where.pageSize;

  //   try {
  //     let ordersCountRes = await this.oorderDao.ordersCount(where);
  //     let count = ordersCountRes[0]['orderCount'];
  //     let rows = await this.dao.findAll(where);
  //     //格式化交付商
  //     this.formateDeliver(rows);

  //     let res = {
  //       count,rows
  //     };
  //     return system.getResult(res);
  //   } catch (error) {
  //     console.log(error);
  //     return system.getResult(null,`系统错误 错误信息 ${error}`);
  //   }



  // }

  
}

module.exports = OorderdeliverService;